:root {

    /* 1800*/
    --pad: clamp(15px, 10.9vw, 220px);
    --toppad: clamp(30px, 5.7vw, 110px);
    --botpad: clamp(40px, 6.3vw, 120px);

}



@media (max-width: 1500px){
    :root {
        --pad: clamp(15px, 9vw, 450px);
    }

}

@media (max-width: 1200px){
    :root {
        --pad: clamp(15px, 6vw, 450px);
    }
}


@media (max-width: 900px){
    :root {
        --pad: clamp(15px, 5vw, 450px);
    }
}



body{

    color: #231F20;

    background: #e7e7ea;

}



.container{

    background: #ebeeed;

    animation: startopa 0.5s linear forwards;

    animation-direction: alternate;

    opacity: 0;

}



@keyframes startopa {

    from {opacity: 0; }

    to { opacity: 1;}

}



.project-pads{

    padding-left: var(--pad);

    padding-right: var(--pad);   

}



.project-pads-left{

    padding-left: var(--pad);

}



.project-pads-right{

    padding-right: var(--pad);

}



.topbotpad{

    padding-top: var(--toppad);

    padding-bottom: var(--botpad);

}



.toppad{

    padding-top: var(--toppad); 

}



.botpad{

    padding-bottom: var(--botpad);

}





h1, h2, h3, h4, h5, h6{

    color: #113042;
    text-transform: uppercase;
    font-family: "gamay-wide", sans-serif;
    font-display: swap;
    font-style: normal;  

}



h1{

    font-size: var(--font56);
    font-weight: 600;
 

}



h2{

    font-size: var(--font42);
    font-weight: 600;
}



h3{

    font-size: var(--font36);
    font-weight: 600;
}





h4{

    font-size: var(--font32);
    font-weight: 500;
}



h5{

    font-size: var(--font18);
    font-weight: 500;

}



h6{

    font-size: var(--font14);
    font-weight: 400;

}



p{

    font-size: var(--font16);
    font-family: "forma-djr-deck", sans-serif;
    font-weight: 500;
    color: #113042;

    padding-bottom: 1em;

    line-height: 1.35em;

    font-display: swap;

}



a, li{

    font-family: "forma-djr-deck", sans-serif;
    font-weight: 500;
    font-size: var(--font16);
    font-display: swap;

}



/* Button */



.btn{
    font-size: var(--font14);
    gap: 15px;
    padding: 4px 0px 2px 0px;
    max-width: 300px;
    text-align: left;
    display: grid;
    grid-template-columns: 1fr 50px;
    margin-bottom: 5px;
    text-transform: uppercase;
    color: #F3F3F3;
    font-family: "gamay-wide", sans-serif;
    font-style: normal;  
    font-weight: 400;
    margin-top: 20px;
}

.btn.trans-white {
    border: 1px solid #f3f3f3;
    padding: 20px;
    padding-bottom: 15px;
}

.btn.orange {
    border: 1px solid #D35714;
    background: #D35714;
    padding: 11px 20px 7px 20px;
}

.btn.blue {
    border: 1px solid #113042;
    background: #113042;
    padding: 11px 20px 7px 20px;
}


.btn svg{

    height: var(--font18);

    align-self: center;

    justify-self: center;

    margin-top: -5px;

}

.btn:hover svg{
    animation: sarrow 0.3s infinite linear;
    animation-direction: alternate;
}


@keyframes sarrow {
    from {margin-right: 0px;}
    to {margin-right: 7px;}
}

#banner {
    overflow: hidden;
}

.banner-area {
    align-self: end;
    z-index: 9;
}


.banner-title {
    color: white;
    margin-bottom: 16px;
}

.banner-area p {
    color: #fff;
    width: 40%;
}

#banner-imagevideo img, #banner-imagevideo .videoswapframe{
    aspect-ratio: 16/9;
    width: 100%;
}

.placeholder-btn {
    /*Placeholder*/
    background: transparent;
    border: 1px solid white;
    margin-top: 24px;
}

.placeholder-btn a {
    text-decoration: none;
    color: white;
    padding-left: 14px;
    padding-right: 14px;
    padding-top: 8px;
    padding-bottom: 8px;
}

.tietoalue-btn {
    background: transparent;
    border: 1px solid #1d3b53;
    margin-top: 24px;
}

.tietoalue-btn a {
    text-decoration: none;
    color: #1d3b53;
    padding-left: 14px;
    padding-right: 14px;
    padding-top: 8px;
    padding-bottom: 8px;
}

.banner-gradient {
    /* Layout Properties */
    top: 160px;
    left: -219.52821350097656px;
    width: 1066px;
    height: 1066px;
    transform: matrix(0.71, -0.71, 0.71, 0.71, 0, 0);
    /* UI Properties */
    background: transparent linear-gradient(180deg, #FF8400 0%, #113042 100%) 0% 0% no-repeat padding-box;
    opacity: 0.79;
    position: absolute;
}



.tietoalue-area {
    display: grid;
    grid-template-columns: 1.25fr 1fr;
    grid-template-rows: 1fr;
    background: linear-gradient(45deg, #1d3b53, #113042);
}

.tietoalue-left {
    background-color: #f7f9fc;
    display: flex;
    flex-direction: column;
    justify-content: center;
    clip-path: polygon(0 0, 85% 0, 100% 50%, 85% 100%, 0 100%);
    padding-right: 25%;
}

.tietoalue-right {
    padding: 40px;
    color: #fff;
    align-self: center;
}

.info-card {
    margin-bottom: 6px;
}

.info-card-content {
    grid-template-columns: max-content auto max-content; 
    gap: 20px;
}

.info-card-line {
    width: 100%;
    height: 3px;
    background: #929290;
    align-self: center;
}

.info-card-name {
    color: #fff;
}

.info-card-value {
    color: #F58D1E;
}

#kohdefeed {

}

.kohdekortti {
    gap: clamp(30px, 5.2vw, 100px);
}

.kohdekortti .kohdekortti-right {
    padding-right: var(--pad);
}

.kohdekortti.swap .kohdekortti-right {
    padding-left: var(--pad);
    padding-right: 0px;
}

.kohdekortti-right p {
    margin-top: 16px;
    margin-bottom: 16px;
}

.yritys-otsikko-left {
    margin-right: 32px;
}

#kaksiosainen-banner {

}


.kaksiosainen-left {
    margin-top: 16px;
    margin-right: 16px;
}

.kaksiosainen-left p, .yritys-otsikko-left p, .sijainti-left p, .lomake-area-left p {
    margin-top: 16px;
    margin-bottom: 32px;
}

.kaksiosainen-right {
    padding-left: 16px;
}

.sijainti-left, .lomake-area-left {
    margin-right: clamp(16px, 2vw, 48px);
}

.sijainti-left h5, .lomake-area-left h5 {
    color: #D35714;
}

.sijainti-left p, .lomake-area-left h5 {
    font-family: 
}

.sijainti-right iframe {
    height: 400px;
}

#kuva-galleria h2 {
    font-size: var(--font36);
    margin-bottom: 16px;
}

.kuva-galleria-area {
    gap: 8px;
}

.kuva-galleria-area img {
    aspect-ratio: 16/9;
}

.henkilosto-right {
    margin-top: 16px;
} 

.henkilosto-card {
    display: flex;
    align-items: center;
    margin-left: 16px;
    margin-bottom: 16px;
}

.henkilosto-card-info h5 {
    margin-bottom: 8px;
}

.henkilosto-card-img {
    margin-right: 16px;
}

.henkilosto-card-img img {
    border: 1px solid #113042;
    aspect-ratio: 1/1;
    width: 240px;
    border-radius: 50%;
}

#nav-basic-logopart {
    background: #F3F3F3;
    padding-top: 10px;
    padding-bottom: 20px;
}

#nav-basic-logopart a {
    margin-left: -50px;
}

#banner-line {
    background: transparent linear-gradient(180deg, #FF8400 0%, #113042 100%) 0% 0% no-repeat padding-box;
    opacity: 0.79;
    height: 200%;
    width: 450px;
    transform: rotate(-45deg);
    align-self: end;
    transform-origin: bottom right;
    margin-left: 20%;
}

.footer {
    background: #113042;
    padding-top: 48px;
    padding-bottom: 48px;
}

.footer p, .footer a, .footer h4 {
    color: #688DA2;
}

.footer a {
    text-decoration: none;
    border-bottom: 1px solid transparent;
    margin: 4px;
    width: fit-content; /*Tekstin alaviiva menee yli ilman*/
}

.footer a:hover {
    border-bottom: 1px solid #688DA2;
}

.footer-menu {
    padding: 8px;
}

.footer-menutitle {
    margin-top: 32px;
    margin-bottom: 32px;
}

.footer-logo {
    width: 100px;
    margin-bottom: 32px;
}

.footer-part {
    padding: 0px 24px 0px 24px;
}

.footer-part-1 {

}

.footer-part-1-content {
    max-width: 400px;
}

.footer-part-2 {
    border-left: 2px solid #688DA2;
    border-right: 2px solid #688DA2;
}

/*Banneriin voisi laittaa font-size: clamp(var(--font46), var(--font52), var(--font64));*/


@media (max-width: 1050px) {
    .footer-part-1 {
        grid-column: span 2;
        border-bottom: 2px solid #688DA2;
    }
    .footer-part-2 {
        border-left: none;
        border-right: none;
    }
    .footer-grid {
        grid-template-columns: 1fr 1fr;
    }
}

@media (max-width: 900px) {
    #sijainti-area, #lomake-area {
        grid-template-columns: 1;
    }
}


@media (max-width: 800px) {
    .tietoalue-area {
        grid-template-columns: 1fr;
    }
    .tietoalue-left {
        clip-path: none;
        padding-right: var(--pad);
    }
    .kohdekortti {
        grid-template-columns: 1fr 1fr;
    }
}

@media (max-width: 700px) {
    #banner .banner-area {
        grid-row: 2;
        background: transparent linear-gradient(116deg, #456679 0%, #113042 100%) 0% 0% no-repeat padding-box;
    }
    .banner-area p {
        width: 100%;
    }
    #kaksiosainen-banner {
        grid-template-columns: 1fr;
        padding-left: var(--pad);
        padding-right: var(--pad);

    }
    .kaksiosainen-right {
        padding-left: 0px;
    }
    #yritys-otsikko-banner {
        grid-template-columns: 1fr;
    }
    .yritys-otsikko-right {
        padding-right: var(--pad);
    }
    .footer-grid {
        display: block;
    }
}

@media (max-width: 600px) {
    .kohdekortti {
        grid-template-columns: 1fr;
    }
    .kohdekortti-left {
        padding-bottom: 16px;
    }
    .kohdekortti-right {
        max-width: 500px;
    }
    .kohdekortti .kohdekortti-right {
        padding-left: var(--pad);
        padding-right: var(--pad);
    }
    
    .kohdekortti.swap .kohdekortti-right {
        padding-left: var(--pad);
        padding-right: var(--pad);
        justify-self: end;
    }
    .info-card-content h4, .footer-menutitle {
        font-size: var(--font15);
    }
    #banner-line {
        display: none;
    }
}

@media (max-width: 400px) {
    .footer-part {
        padding: 6px;
    }
    .sijainti-right iframe {
        height: 260px;
    }
    .info-card-content {
        gap: 5px;
    }
}



.modal {
    visibility: hidden;
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.8);
    opacity: 0;
    transition: opacity 0.2s ease-in-out, visibility 0s linear 0.2s;
    justify-content: center;
    align-items: center;
}

.modal.fade-in {
    opacity: 1;
    transition: opacity 0.1s ease-in-out;
}

.modal.fade-out {
    opacity: 0;
}

.modal-content {
    margin: auto;
    display: block;
    max-width: 80%;
    max-height: 80%;
    text-align: end;
}

#modal-image {
    max-height: 75vh;
}

.modal-close {
    top: 10px;
    right: 25px;
    color: white;
    font-size: 35px;
    font-weight: bold;
    cursor: pointer;
}

